#!/bin/sh
#/******************************************************************************
# *
# * Licensed Materials - Property of IBM
# *
# * Source File Name = addintegrity.sh
# *
# * (C) COPYRIGHT IBM Corp. 1999, 2003 All Rights Reserved
# *
# * US Government Users Restricted Rights - Use, duplication or
# * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# *
# *****************************************************************************/
# This script should be used to add referential integrity attributes to Directory Server 
#
 
# Set user-defined variables.
ITIM_HOME=%ENROLE_HOME%
JAVA_HOME=%JAVA_HOME%

JAVA=$JAVA_HOME/jre/bin/java
LDAP_DATA=../../config/ldap/iplanet/er-integrity.conf

CLASSPATH=.:$JAVA_HOME/jre/lib/rt.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/lib/itim_api.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/lib/itim_server.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/lib/jndi.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/lib/ldap.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/lib/jsafe.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/lib/ldapbp.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/lib/providerutil.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/lib/jlog.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/lib/jffdc.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/data
# For backward compatibility
CLASSPATH=$CLASSPATH:$ITIM_HOME/lib/enroleall.jar

echo "using JAVA_HOME: " $JAVA_HOME

echo
echo Adding referential integrity attributes to Directory Server
echo

$JAVA -classpath $CLASSPATH com.ibm.itim.systemConfig.NSLdapModify -R $LDAP_DATA






