#!/bin/sh
#/******************************************************************************
# *
# * Licensed Materials - Property of IBM
# *
# * Source File Name = serviceability.sh
# *
# * (C) COPYRIGHT IBM Corp. 2005 All Rights Reserved
# *
# * US Government Users Restricted Rights - Use, duplication or
# * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# *
# *****************************************************************************/
# 
# This script is used to gather message logs, trace logs, configuration information, etc
# 

# In a cluster deployment, Run on a cluster member node (not NDM) 
ITIM_HOME=DEFINED_ITIM_HOME


# Classpath for jar file
CLASSPATH=.:$ITIM_HOME/lib/serviceability.jar

# For Information Only  ###
echo "WAS_HOME=DEFINED_WAS_HOME"
echo "PRODUCT_ROOT=DEFINED_PRODUCT_ROOT"
echo "ITIM_HOME=$ITIM_HOME"
echo "CLASSPATH=$CLASSPATH"
echo " "

# Execute tool
DEFINED_WAS_HOME/java/bin/java -cp $CLASSPATH -DPRODUCT_ROOT="DEFINED_PRODUCT_ROOT" com.ibm.itim.serviceability.ServiceTool $ITIM_HOME . $1 $2 $3 $4

