#!/bin/sh
#/******************************************************************************
# *
# * Licensed Materials - Property of IBM
# *
# * Source File Name = ldapclean.sh
# *
# * (C) COPYRIGHT IBM Corp. 1999, 2003 All Rights Reserved
# *
# * US Government Users Restricted Rights - Use, duplication or
# * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# *
# *****************************************************************************/
# This script should be used to add indexes to Directory Server manually
#

# Set user-defined variables.
ITIM_HOME=%ENROLE_HOME%
JAVA_HOME=%JAVA_HOME%

JAVA=$JAVA_HOME/jre/bin/java

CLASSPATH=.:$JAVA_HOME/jre/lib/rt.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/lib/jndi.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/lib/jsafe.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/lib/ldap.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/lib/ldapbp.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/lib/providerutil.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/data
CLASSPATH=$CLASSPATH:$ITIM_HOME/lib/itim_api.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/lib/itim_server.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/lib/JSQLConnect.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/lib/aspectjrt.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/lib/jlog.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/lib/jffdc.jar
CLASSPATH=$CLASSPATH:%JDBC_DRIVER%
# For backward compatibility
CLASSPATH=$CLASSPATH:$ITIM_HOME/lib/enroleall.jar

echo "using JAVA_HOME: " $JAVA_HOME

echo
echo Remove old entries in recycleBin of Directory Server
echo

$JAVA -classpath $CLASSPATH com.ibm.itim.systemConfig.LdapSweeper






