@rem/******************************************************************************
@rem *
@rem * Licensed Materials - Property of IBM
@rem *
@rem * Source File Name = serviceability.cmd
@rem *
@rem * (C) COPYRIGHT IBM Corp. 2005 All Rights Reserved
@rem *
@rem * US Government Users Restricted Rights - Use, duplication or
@rem * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
@rem *
@rem *****************************************************************************/
@echo off
@REM 
@REM This script is used to gather message logs, trace logs, configuration information, etc
@REM 
@REM In a cluster deployment, Run it on a cluster member node (not NDM) 

REM ## Client Required Modifications below ###

set ITIM_HOME=DEFINED_ITIM_HOME

set WAS_HOME=DEFINED_WAS_HOME

REM PRODUCT_ROOT=%WAS_HOME%\installedApps\<cell_name>\enRole.ear
set PRODUCT_ROOT=DEFINED_PRODUCT_ROOT

REM ### End Required Modifications Section ###

REM  # For Information Only  ###
echo "WAS_HOME=%WAS_HOME%"
echo "PRODUCT_ROOT=%PRODUCT_ROOT%"
echo "ITIM_HOME=%ITIM_HOME%"
echo "CLASSPATH=%CLASSPATH%"
echo .

set CLASSPATH=.;%ITIM_HOME%\lib\serviceability.jar
"%WAS_HOME%"\java\bin\java -cp "%CLASSPATH%" -DPRODUCT_ROOT="%PRODUCT_ROOT%" com.ibm.itim.serviceability.ServiceTool "%ITIM_HOME%" . %1 %2 %3 %4
